curl -X GET "https://api.whaapy.com/funnel/v1/stages/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer wha_TU_API_KEY"
const stageId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.whaapy.com/funnel/v1/stages/${stageId}`,
{ headers: { 'Authorization': 'Bearer wha_TU_API_KEY' } }
);
const data = await response.json();
import requests
stage_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://api.whaapy.com/funnel/v1/stages/{stage_id}',
headers={'Authorization': 'Bearer wha_TU_API_KEY'}
)
$stageId = '550e8400-e29b-41d4-a716-446655440000';
$ch = curl_init("https://api.whaapy.com/funnel/v1/stages/{$stageId}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer wha_TU_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
{
"stage": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Qualified",
"position": 1,
"color": "#10b981",
"contact_count": 45,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-28T10:00:00Z"
}
}
Funnels
Obtener Etapa
Obtiene los detalles de una etapa específica
GET
/
funnel
/
v1
/
stages
/
{id}
curl -X GET "https://api.whaapy.com/funnel/v1/stages/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer wha_TU_API_KEY"
const stageId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.whaapy.com/funnel/v1/stages/${stageId}`,
{ headers: { 'Authorization': 'Bearer wha_TU_API_KEY' } }
);
const data = await response.json();
import requests
stage_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://api.whaapy.com/funnel/v1/stages/{stage_id}',
headers={'Authorization': 'Bearer wha_TU_API_KEY'}
)
$stageId = '550e8400-e29b-41d4-a716-446655440000';
$ch = curl_init("https://api.whaapy.com/funnel/v1/stages/{$stageId}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer wha_TU_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
{
"stage": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Qualified",
"position": 1,
"color": "#10b981",
"contact_count": 45,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-28T10:00:00Z"
}
}
Scope requerido:
funnels:readPath Parameters
string
required
UUID de la etapa
Ejemplos
curl -X GET "https://api.whaapy.com/funnel/v1/stages/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer wha_TU_API_KEY"
const stageId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.whaapy.com/funnel/v1/stages/${stageId}`,
{ headers: { 'Authorization': 'Bearer wha_TU_API_KEY' } }
);
const data = await response.json();
import requests
stage_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://api.whaapy.com/funnel/v1/stages/{stage_id}',
headers={'Authorization': 'Bearer wha_TU_API_KEY'}
)
$stageId = '550e8400-e29b-41d4-a716-446655440000';
$ch = curl_init("https://api.whaapy.com/funnel/v1/stages/{$stageId}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer wha_TU_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
Respuesta Exitosa
{
"stage": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Qualified",
"position": 1,
"color": "#10b981",
"contact_count": 45,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-28T10:00:00Z"
}
}
Errores
400 Bad Request
{
"error": "validation_error",
"message": "ID de etapa inválido"
}
404 Not Found
{
"error": "not_found",
"message": "Etapa no encontrada"
}
Próximos Pasos
Actualizar Etapa
Modificar nombre o color
Eliminar Etapa
Eliminar etapa del funnel
Was this page helpful?